# ``twisted`.`internet`.`endpoints`.`_SimpleHostnameResolver``

class documentation

`class _SimpleHostnameResolver: (source)`

Implements interfaces: `twisted.internet.interfaces.IHostnameResolver`

View In Hierarchy

An `IHostnameResolver` provider that invokes a provided callable to resolve hostnames.

Method | `__init__` | Create a `_SimpleHostnameResolver` instance.
Method | `resolveHostName` | Initiate a hostname resolution.
Class Variable | `_log` | Undocumented
Instance Variable | `_nameResolution` | the callable `resolveHostName` invokes to resolve hostnames.

def __init__(self, nameResolution): (source)
Create a `_SimpleHostnameResolver` instance.
def resolveHostName(self, resolutionReceiver, hostName, portNumber=0, addressTypes=None, transportSemantics='TCP'): (source)
from `twisted.internet.interfaces.IHostnameResolver`
Initiate a hostname resolution.

Parameters
resolutionReceiver:`IResolutionReceiver` | an object that will receive each resolved address as it arrives.
hostName | see interface
portNumber | see interface
addressTypes | Ignored in this implementation.
transportSemantics | Ignored in this implementation.
Returns
`IResolutionReceiver` | The resolution in progress.

_log = (source)

Undocumented

_nameResolution: A `callable` that accepts two arguments: the host to resolve and the port number to include in the result. = (source)
the callable `resolveHostName` invokes to resolve hostnames.